Summary: RPM installer/updater config files
Name: yum-conf-5x
Version: 1
Release: 10.SL
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
URL: http://www.dulug.duke.edu/yum/
BuildRoot: %{_tmppath}/%{name}-%{version}root
BuildArchitectures: noarch
Epoch: 5
Provides: yum-conf

%description
Configuration files to setup yum.conf and various repositories.
This creates configuration files pointing to the latest published release

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-, root, root)
%dir %{_sysconfdir}/yum.repos.d/
%config %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Mon Mar 05 2012 Pat Riehecky <riehecky@fnal.gov> 5x-1-10.SL
- Updated repos for jdk exclusion allowing gpgcheck=1

* Mon Apr 05 2010 Troy Dawson <dawson@fnal.gov> 5x-1-9.SL
- Updated sl-srpms.repo to read [sl-source] instead of [sl-srpms]

* Mon Oct 19 2009 Troy Dawson <dawson@fnal.gov> 5x-1-8.SL
- Updated download server list to include ftp2.scientificlinux.org

* Wed Jul 15 2009 Troy Dawson <dawson@fnal.gov> 5x-1-7.SL
- Updated yum.conf to say the default installonly_limit is 4

* Mon Jul 13 2009 Troy Dawson <dawson@fnal.gov> 5x-1-6.SL
- Updated gpg keys to include sl and sl5
- Updated download server list to include ftp1.scientificlinux.org

* Mon Jun 23 2008 Troy Dawson <dawson@fnal.gov> 5x-1-5.SL
- Added priorities to the repos.

* Wed Jun 11 2008 Troy Dawson <dawson@fnal.gov> 5x-1-4.SL
- Added comments in yum.conf for installonlyn
- Changed flash.repo to adobe.repo
- Changed repo's to use http first, and then try ftp

* Fri Apr 27 2007 Troy Dawson <dawson@fnal.gov> 5x-1-3.SL
- Added commented out mirrorlist sl5x.repo, sl5x-security.repo, sl5x-fastbugs.repo

* Sat Apr 21 2007 Troy Dawson <dawson@fnal.gov> 5x-1-2.SL
- Fixed fastbugs repo

* Fri Apr 20 2007 Troy Dawson <dawson@fnal.gov> 5x-1-1.SL
- Converted from yum-conf-50
